## com.sun.jersey.api
Class MessageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.jersey.api.MessageException

All Implemented Interfaces:
  java.io.Serializable

    public class MessageException

extends java.lang.RuntimeException

This exception may be used in conjuction with WebApplicationException to include a message.

Author:
  Paul.Sandoz@Oracle.Com
See Also:
  Serialized Form

Constructor Summary
`MessageException(java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageException

    public MessageException(java.lang.String message)

Copyright © 2017 Oracle Corporation. All Rights Reserved.